import { z } from 'zod';
export declare const tagGroupSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    isExclusive: z.ZodBoolean;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    isExclusive: boolean;
    created_at: string;
    updated_at: string;
}, {
    id: string;
    name: string;
    color: string;
    isExclusive: boolean;
    created_at: string;
    updated_at: string;
}>;
declare const TagGroupDto_base: import("@anatine/zod-nestjs").ZodDtoStatic<z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    color: z.ZodString;
    isExclusive: z.ZodBoolean;
    created_at: z.ZodString;
    updated_at: z.ZodString;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    color: string;
    isExclusive: boolean;
    created_at: string;
    updated_at: string;
}, {
    id: string;
    name: string;
    color: string;
    isExclusive: boolean;
    created_at: string;
    updated_at: string;
}>>;
export declare class TagGroupDto extends TagGroupDto_base {
}
export {};
